From: Christoph Hellwig <hch@lst.de>
To: Shin'ichiro Kawasaki <shinichiro.kawasaki@wdc.com>
Cc: linux-block@vger.kernel.org
Subject: [PATCH blktests 6/9] nbd: do not require nbd support to be modular
Date: Mon, 30 May 2022 15:08:08 +0200 [thread overview]
Message-ID: <20220530130811.3006554-7-hch@lst.de> (raw)
In-Reply-To: <20220530130811.3006554-1-hch@lst.de>
Use _have_driver instead of _have_modules in _have_nbd as nothing requires
the nbd driver to be modular.
Signed-off-by: Christoph Hellwig <hch@lst.de>
---
tests/nbd/rc | 4 ++--
1 file changed, 2 insertions(+), 2 deletions(-)
diff --git a/tests/nbd/rc b/tests/nbd/rc
index 9d0e3d1..118553c 100644
--- a/tests/nbd/rc
+++ b/tests/nbd/rc
@@ -7,11 +7,11 @@
. common/rc
group_requires() {
- _have_root && _have_nbd && modprobe nbd
+ _have_root && _have_nbd
}
_have_nbd() {
- if ! _have_modules nbd; then
+ if ! _have_driver nbd; then
return 1
fi
if ! _have_program nbd-server; then
--
2.30.2
next prev parent reply other threads:[~2022-05-30 13:08 UTC|newest]
Thread overview: 21+ messages / expand[flat|nested] mbox.gz Atom feed top
2022-05-30 13:08 reduce the dependency on modules Christoph Hellwig
2022-05-30 13:08 ` [PATCH blktests 1/9] nvme: use _have_loop instead of _have_modules loop Christoph Hellwig
2022-05-31 11:08 ` Shinichiro Kawasaki
2022-05-30 13:08 ` [PATCH blktests 2/9] common: add a helper if a driver is available Christoph Hellwig
2022-05-31 11:12 ` Shinichiro Kawasaki
2022-06-01 6:20 ` Christoph Hellwig
2022-05-30 13:08 ` [PATCH blktests 3/9] common: fix _have_module_param_value to work with built-in drivers Christoph Hellwig
2022-05-31 11:17 ` Shinichiro Kawasaki
2022-05-30 13:08 ` [PATCH blktests 4/9] common: do not require loop support to be modular Christoph Hellwig
2022-05-31 11:19 ` Shinichiro Kawasaki
2022-05-30 13:08 ` [PATCH blktests 5/9] common: do not require null_blk " Christoph Hellwig
2022-05-31 12:04 ` Shinichiro Kawasaki
2022-05-30 13:08 ` Christoph Hellwig [this message]
2022-05-30 13:08 ` [PATCH blktests 7/9] scsi: don't require sg to be built in Christoph Hellwig
2022-05-30 13:08 ` [PATCH blktests 8/9] nvme: don't require the nvme drivers " Christoph Hellwig
2022-05-30 13:08 ` [PATCH blktests 9/9] common: do not require scsi_debug support to be modular Christoph Hellwig
2022-05-31 12:21 ` Shinichiro Kawasaki
2022-06-01 0:32 ` Shinichiro Kawasaki
2022-05-30 13:12 ` reduce the dependency on modules Jens Axboe
2022-05-30 13:17 ` Christoph Hellwig
2022-06-01 0:57 ` Shinichiro Kawasaki
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=20220530130811.3006554-7-hch@lst.de \
--to=hch@lst.de \
--cc=linux-block@vger.kernel.org \
--cc=shinichiro.kawasaki@wdc.com \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox